Borrador Linea

From FreeCAD Documentation
Revision as of 17:43, 4 September 2021 by Heda (talk | contribs)
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎
FreeCAD.png
Siguiente: Hilo Draft Wire.svg Arrow-right.svg

Draft Line.svg Borrador Linea

Ubicación en el Menú
Borrador → Línea
Entornos de trabajo
Borrador, Arquitectura
Atajo de teclado por defecto
L I
Introducido en versión
0.7
Ver también
Borrador Hilo, Borrador Punto

Descripción

La herramienta Línea crea una línea recta definida por dos puntos. Utiliza el Estilo de Línea de Borrador establecido en la Bandeja de Borrador. La herramienta Línea se comporta exactamente como la herramienta Borrador Hilo, excepto que se detiene después de dos puntos.

A Draft Line is in fact a Draft Wire with only two points.

Draft Line example.jpg

Línea creada por dos puntos

Utilización

See also: Draft Tray, Draft Snap and Draft Constrain.

  1. Pulse el Draft Line.svg Línea de Borrador, o utilice el botón BorradorDraft Line.svg Línea del menú superior, o utiliza el atajo de teclado: L y luego I.
  2. Haga clic en un primer punto en la vista 3D, o escriba una coordenada y pulse el Draft AddPoint.svg añadir punto.
  3. Haz clic en un segundo punto en la vista 3D, o escribe una coordenada y pulsa el Draft AddPoint.svg añadir punto.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

Opciones

  • Pulse X, Y o Z después del primer punto para restringir el segundo punto en el eje dado.
  • Para introducir las coordenadas manualmente, simplemente introduzca los números y luego pulse Enter entre cada componente X, Y y Z.
    • También puede definir las coordenadas polares del punto dando un valor a "Longitud" y "Ángulo". Haga clic en la casilla de verificación junto a "Ángulo" para restringir el puntero al ángulo especificado.
    • Puede pulsar el Draft AddPoint.svg añadir un punto cuando tenga los valores deseados para insertar el punto.
  • Pulse R o haga clic en la casilla para activar el modo relativo. Si el modo relativo está activado, las coordenadas del segundo punto son relativas al primero; si no, son absolutas, tomadas desde el origen (0,0,0).
  • Pulse T o haga clic en la casilla para activar el modo continuar. Si el modo de continuar está activado, la herramienta Línea se reiniciará después de dar el segundo punto, lo que le permitirá dibujar otro segmento de línea sin tener que volver a pulsar el botón de la herramienta.
  • Mantén pulsado Ctrl mientras dibujas para forzar snapping tu punto a la ubicación de snap más cercana, independientemente de la distancia.
  • Mantén pulsado Shift mientras dibujas para restringir tu segundo punto horizontal o verticalmente en relación con el primero.
  • Pulse Ctrl+Z o pulse el Draft UndoLine.svg Deshacer para deshacer el último punto.
  • Pulse Esc o el botón Close para abortar el comando actual.

Notes

La línea puede editarse haciendo doble clic en el elemento en la vista de árbol, o pulsando el Draft Edit.svg Borrador de edición. A continuación, puede mover los puntos a una nueva posición.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of coordinates, lengths and angles: Edit → Preferences... → General → Units → Units settings → Number of decimals.
  • To change the initial focus of the task panel to the Length input box: Edit → Preferences... → Draft → General settings → Draft tools options → Set focus on Length instead of X coordinate. Note that you must move the pointer in the 3D view for the change to take effect.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Line instead of a Draft Line.

Properties

Propiedades

Un objeto Línea comparte todas las propiedades de un Draft Wire.svg Borrador Hilo, sin embargo, sólo algunas de estas propiedades son aplicables a la Línea.

Scripting

To create a Draft Line use the make_line method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeLine method.

line = make_line(p1, p2)
line = make_line(LineSegment)
line = make_line(Shape)
  • Crea un objeto Line entre los puntos p1 y p2, cada uno definido por su FreeCAD.Vector, con unidades en milímetros.
  • Crea un objeto Line a partir de un Part.LineSegment.
  • Crea un objeto Line desde el primer vértice hasta el último del Shape dado.

Ejemplo:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 500, 0)
p3 = App.Vector(-250, -500, 0)
p4 = App.Vector(500, 1000, 0)

line1 = Draft.make_line(p1, p2)
line2 = Draft.make_line(p3, p4)

doc.recompute()


FreeCAD.png
Siguiente: Hilo Draft Wire.svg Arrow-right.svg